Installation of GVM-21.4.2 in Kali version 2021.3

Hi @suman08513,

Follow this link to fix the ERRO Installation is not complete Solution and look for the video named how to fix Error GVM 21.4 installation is not yet complete and heck the setup again.

Best

1 Like

Dear Itcracker,
I could see 25 videos in playlist of the link shared above… In those videos I couldn’t find any video with the mentioned title… Kindly help

Hi @suman08513,

Many apologize for that. I just copy the video link directly from my channel here you have. FIX

Please make me know if got it

Best

Dear @Itcracker ,
Thank you for the prompt reply. In your video, the error occurred at step 6 that is related to Green bone Security Assistant(GSA).

In my case the error occurred is in the Step 1 itself and my error related to Redis DB. It is showing that “Old Redis DB still exists”. I have executed the recommended commands given under Fix. Even after executing them, I am getting same error.

Please refer screenshot attached for your reference

Hi @suman08513,

You’re welcome. Thanks for share the screenshot.
Tell me something, are you able to start the gvm (sudo gvm-start)? Or you are working to solve the issues?
I want to know first if it is preventing you to access GSA or not.

Best

Dear @Itcracker ,

GVM-start also fails with an error" Job for gvmd.service failed because a timeout was exceeded.
See “systemctl status gvmd.service” and “journalctl -xeu gvmd.service” for details."

Please see the screenshot for details

Please see the outputs of the following command:

journalctl -xeu gvmd.service


output of
systemctl status gvmd.service

Hi @suman08513,

Sorry for my delay to reply to you. Today I faced the same issue as you and I fixed it by upgrading the Postgresql from version 13 to 14 with the four commands, but first make sure you upgrade your Kali linux to the latest version and follow the commands below:

1.# sudo pg_lsclusters - It will list the Postgressql’s available versions

2.# sudo pg_dropcluster --stop 14 main - Drop the new version

3.# sudo pg_upgradecluster 13 main - Start upgrading cluster

4.# pg_dropcluster --stop 13 main - Remove the old version

That’s it, now try to run# sudo gvm-check-setup and you’ll see that the error is gone.
Now stop gvm and start again# sudo gvm-stop and after the process is stopped, run # sudo gvm-start and you’ll be able to opens the GSA from the browser.

I hope it helps

Best

Dear @Itcracker ,

I have executed the above commands in sequence and tried execute $sudo gvm-check-setup then I got the same error “ERROR: an old Redis DB still exists”.

Later I saw only version 11,12,14 clusters were there as version 13 cluster was dropped. Meanwhile, I executed # sudo pg_dropcluster --stop 14 main accidentally and version 14 cluster was also dropped.

Now, cluster version 14 is not available but it is showing postgresql is already installed to the newest version.

$GVM-SETUP also giving error “[-] ERROR: The default PostgreSQL version (10) is not 14 that is required by libgvmd”.

Now I am unable to proceed further coz of “# sudo pg_dropcluster --stop 14 main” accidentally.

Please help!

Screenshot attached for your reference

Hi @suman08513,

First upgrade your entire kali linux and then run the commands instead of trying to install Postgresql.
1.# sudo apt update
2.# sudo apt full-upgrade -y

After that you can proceed with the Postgresql upgrade, when the version 14 is available when you run the command #sudo pg_lsclusters will be shown there.

Best

Dear @Itcracker ,

I tried to run #sudo apt update and I am getting the error “Err:3 Index of /pub/repos/apt/ kali-rolling-pgdg Release
404 Not Found [IP: 217.196.149.55 443]”

My repository is “Kali-rolling” .

/etc/apt/sources.list.d/pgdg.list consists of the following:
deb Index of /pub/repos/apt/ kali-rolling-pgdg main

I do not understand why the update is not working now.

Kindly help!

Hi @suman08513,

Please visit Kali’s website to find repositories. Repository

Best

Dear @Itcracker ,
Thank you for answering my doubts patiently.

I did the following steps:

  1. Purge openvas and redis
  2. purge all versions of postgresql including client versions
  3. update and upgrade kali
  4. install openvas
  5. $gvm-setup

with this my issue with kali update and gvm-setup is resolved.

But, the original issue “old Redis DB still exists” with $gvm-check-setup still remain

Please refer attached screenshot. You can see postgressql cluster also version 14. As per your previous reply, you could resolve the error by upgrading Postgresql from version 13 to 14. In my case it is already in version 14 and I am facing the same issue.

@Itcracker ,
Kindly refer $gvm-setup screenshot also attached here
$GVM-Setup

Dear @Itcracker ,

Update: after $gvm-feed-update then $gvm-start, I am able to access the GSA.

But, I am getting error “Failed to find config ‘d21f6c81-2b88-4ac1-b7b4-a2a9f2ad4663’” while configuring the scan.

@Itcracker ,

I suspect the error is because of the redis DB issue only. While running $gvm-check-setup, the same issue is repeated

Hi @suman08513,

Well done. I’m not sure if I understand what you want to do, but before that, please go to SecInfo and see if the SCAPs (NVTs, CVE, CPS, etc) are available or you’re getting SCAP data base not found error, and also check the Feed Status if it is showing Update in progress message or not.

Best

Dear @Itcracker ,
I want to scan a host. After the recent Kali Linux update, GVM started giving new errors. Earlier I was able to use it without issues.

Thank you so much for taking out your time to help me out. after the feed update, it took sometime and now I am able to proceed with the scan. But, $gvm-check-setup still gives “old Redis DB still exists” error and it says “ERROR: Your GVM-21.4.3 installation is not yet complete!”. I would try to dig more into it.

This post: Unable to create scanner configs, and no default configs are provided - #6 by vsdc addresses the same issue as mine but I tried the solution provided there too but in vain.

Please do note that Greenbone isn’t maintaining / involved in this gvm-check-setup script (it is provided by the Kali package maintainers) and this might be also a bug in this script. You could post an issue in https://bugs.kali.org and ask for a review of your issue / this script.

The original problem seems to be originating from an issue in the Kali packages according to 0007433: GVM is not installed - Kali Linux Bug Tracker :

FTR the postrgresql packages come from Debian Testing and the packages required for gvmd did not migrate at the same time in Debian Testing so in Kali too.

and seems to have been solved in Kali with:

I will update the gvmd package for postgresql version 14 to fix this

I have updated the package. Please update your system.
The fixed versions are:

  • gvmd version 21.4.4-0kali2
  • postgresql-common version 231

You may need to upgrade the postgresql clusters to version 14 (see “/usr/share/doc/postgresql-common/README.Debian.gz”, section “Default clusters and upgrading” for details)

1 Like